Failed to open project [R185 BETA]

  • Hello,

    I have a problem with the latest beta version, R185. I needed to update to the beta version (because of the popups URL blocked by browsers). Everything went good, Friday I saved my project to my Google Drive cloud account and went home.

    Today, I wanted to make a change to the game so I opened the project from my laptop (not PC), but I got the following message:

    "Failed to open project. Check it is a valid Construct 3 single-file (.c3p) project.".

    I tried to downgrade Construct 3, but if I do so, I will get another error telling me that the project was saved in version R185, and I'm using R182 - so, I need to upgrade to R185 again.

    I can open other project saved in other version of Construct 3. The single problem is at that project saved in R185.

    Anybody got a trick? :)

    EDIT:

    I tried to get an older version of the game project (Google Drive > Manage versions), but it won't open it. I got the same error. I tried to open the very first version (that was in 31 January), but I got the same error.

  • Ashley, do you have an idea about how to solve this? :)

    Today I updated to R186, but I got the same error.

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • It's very difficult to say anything from this information alone. Press F12 and check the browser console for any error messages, that might help shed some light on it. Also sharing your project will let me look in to it myself.

  • Ashley,

    Here is the log to download:

    gofile.io

    Log:

    editor.construct.net/:1 Unchecked runtime.lastError: The message port closed before a response was received. register-root-sw.js:17 Registered root service worker on editor.construct.net analytics-sandbox.html:1 Unchecked runtime.lastError: The message port closed before a response was received. main.js:2 Error while parsing the 'sandbox' attribute: 'allow-storage-access-by-user-activation' is an invalid sandbox flag. (anonymous) main.js:2 main.js:210 Stop! main.js:210 This is a browser feature intended for developers. If someone told you to copy and paste something here to enable a feature or "hack" something, it is a scam and may allow them to steal your account information or your work. main.js:210 Note: this is the developer tools console for the Construct editor. If you're looking for developer tools for preview, be sure to open developer tools for the preview window instead. sandbox.html:1 Unchecked runtime.lastError: The message port closed before a response was received. login:1 Unchecked runtime.lastError: The message port closed before a response was received. main.js:210 Registered service worker on editor.construct.net/r186 main.js:210 [Project] Exception opening: Error: behavior 'Lite Tween' not supported in this runtime at new <anonymous> (projectResources.js:1) at Function.ǃG (main.js:2) at Object.ǃfoI (main.js:63) at Function.ǃXV (projectResources.js:1) at n.ǃuH (projectResources.js:1) at Function.ǃflS (projectResources.js:1) at async Promise.all (/r186/index 4) at async e.ǃfph (projectResources.js:1) at async t.ǃfqM (projectResources.js:1) at async Object.ǃhnf (main.js:210) ǃhnJ main.js:210 ǃhnf main.js:210 main.js:210 [Project] Exception opening: Error: behavior 'Lite Tween' not supported in this runtime at new <anonymous> (projectResources.js:1) at Function.ǃG (main.js:2) at Object.ǃfoI (main.js:63) at Function.ǃXV (projectResources.js:1) at n.ǃuH (projectResources.js:1) at Function.ǃflS (projectResources.js:1) at async Promise.all (/r186/index 4) at async e.ǃfph (projectResources.js:1) at async t.ǃfqM (projectResources.js:1) at async Object.ǃhnf (main.js:210) ǃhnJ main.js:210 DevTools failed to parse SourceMap: chrome-extension://hdokiejnpimakedhajhdlcegeplioahd/sourcemaps/onloadwff.js.map DevTools failed to parse SourceMap: chrome-extension://eakacpaijcpapndcfffdgphdiccmpknp/scripts/content_page.map DevTools failed to parse SourceMap: chrome-extension://hgmoccdbjhknikckedaaebbpdeebhiei/performance-now.js.map

    Plus, if you could provide me an email address, I will be more then happy to share with you the project source. I don't want to make it public.

    Thank you.

  • The relevant error is "Error: behavior 'Lite Tween' not supported in this runtime". It sounds like a problem with the Lite Tween third-party addon. Normally Construct prevents you switching to a runtime that is not supported by a third-party addon in your project. Perhaps you updated the addon to a version that is incompatible with your project?

    You can send your project to ashleyshk@scirra.com and I'll take a look, but I'll need the exact version of the Lite Tween addon, and any other third-party addons you're using.

  • Email sent.

    From the start of the project I had 2 third-party plugins. But, when I wanted to export the game, I found that I have a bug with the Browser (blocking the urls). Then I updated from 182 to 185 when that bug was solved. All was ok in that day, but after 1 day, I got the problem detailed up.

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)